#ifndef __SHOGUN_LIB_CONFIG_H__
#define __SHOGUN_LIB_CONFIG_H__

#define MACHINE "i686"

#define SFMT_MEXP 19937
#define DSFMT_MEXP 19937

#define HAVE_HDF5 1
#define HAVE_CURL 1
#define HAVE_JSON 1
#define HAVE_XML 1
/* #undef HAVE_DOXYGEN */
/* #undef HAVE_LAPACK */
/* #undef HAVE_MVEC */
#define HAVE_PROTOBUF 1
/* #undef HAVE_TFLOGGER */

#define HAVE_ARPACK 1
/* #undef HAVE_VIENNACL */
/* #undef VIENNACL_VERSION */
/* #undef HAVE_OPENCV */
/* #undef HAVE_CATLAS */
/* #undef HAVE_ATLAS */
/* #undef HAVE_MKL */
#define HAVE_NLOPT 1
#define USE_LPSOLVE 1
#define HAVE_PTHREAD 1
#define HAVE_OPENMP 1
/* #undef USE_CPLEX */
#define HAVE_COLPACK 1
#define HAVE_ARPREC 1
/* #undef USE_META_INTEGRATION_TESTS */

#define HAVE_LGAMMAL 1
/* #undef USE_LOGCACHE */
/* #undef USE_LOGSUMARRAY */

/* Tells ViennaCL to use OpenCL as computation backend */
#define VIENNACL_WITH_OPENCL 1

/* Eigen Lapack optimization flags */
/* #undef EIGEN_USE_BLAS */
/* #undef EIGEN_USE_LAPACKE */
/* #undef EIGEN_USE_LAPACKE_STRICT */
/* #undef EIGEN_USE_MKL_VML */
/* #undef EIGEN_USE_MKL_ALL */

/* for linear algebra global backend setups */
/* #undef USE_EIGEN3_GLOBAL */
/* #undef USE_VIENNACL_GLOBAL */

/* #undef USE_EIGEN3_LINSLV */
/* #undef USE_VIENNACL_LINSLV */

/* #undef USE_EIGEN3_EIGSLV */
/* #undef USE_VIENNACL_EIGSLV */

#define HAVE_DECL_SIGNGAM 1

#define HAVE_FDOPEN 1

#define USE_SHORTREAL_KERNELCACHE 1
#define USE_BIGSTATES 1

/* #undef USE_HMMDEBUG */
#define USE_HMMCACHE 1
/* #undef USE_HMMPARALLEL */
/* #undef USE_HMMPARALLEL_STRUCTURES */

/* #undef USE_PATHDEBUG */

/* #undef USE_SVMLIGHT */
/* #undef USE_MOSEK */
#define USE_GPL_SHOGUN 1

#define USE_GLPK 1
#define USE_LZO 1
#define USE_GZIP 1
#define USE_BZIP2 1
#define USE_LZMA 1
#define USE_SNAPPY 1

/* #undef HAVE_SSE2 */
/* #undef HAVE_BUILTIN_VECTOR */

/* #undef DARWIN */
/* #undef FREEBSD */
#define LINUX 1

/* #undef USE_SWIG_DIRECTORS */
/* #undef TRACE_MEMORY_ALLOCS */
/* #undef USE_JEMALLOC */

/* #undef HAVE_CXX0X */
#define HAVE_CXX11 1

/* does the compiler support abi::__cxa_demangle */
#define HAVE_CXA_DEMANGLE 1

/* random related defines */
/* #undef HAVE_ARC4RANDOM */
#define DEV_RANDOM "/dev/urandom"

#endif /* __SHOGUN_LIB_CONFIG_H__ */
